Page MenuHomePhabricator

Enable cross-wiki (interwiki) search for French Wiktionary
Closed, ResolvedPublic

Description

Hello,

On the French Wiktionary, we’d love to have the same search functionality used by Italian projects mentioned here.

Apparently, the CirrusSearch extension is already running, but we have no clue on how to make this possible on FR Wix.

Event Timeline

Otourly created this task.Apr 20 2020, 5:12 PM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptApr 20 2020, 5:12 PM
Darmo117 updated the task description. (Show Details)Apr 20 2020, 5:13 PM
Noe added a subscriber: Noe.Apr 20 2020, 6:30 PM
Majavah claimed this task.Apr 26 2020, 11:49 AM
Majavah triaged this task as Medium priority.
Majavah moved this task from Backlog to Config - to process on the Wikimedia-Site-requests board.
Majavah added a subscriber: Majavah.

This should be as simple as adding 'frwiktionary' => true, to $wgCirrusSearchEnableCrossProjectSearch. I'll submit a patch later today.

Restricted Application added a project: User-Majavah. · View Herald TranscriptApr 26 2020, 11:49 AM

Change 592515 had a related patch set uploaded (by Majavah; owner: Majavah):
[operations/mediawiki-config@master] Enable cross-project search

https://gerrit.wikimedia.org/r/592515

Change 592515 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable cross-project search on frwiktionary

https://gerrit.wikimedia.org/r/592515

Mentioned in SAL (#wikimedia-operations) [2020-04-27T11:46:11Z] <lucaswerkmeister-wmde@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:592515|Enable cross-project search on frwiktionary (T250724)]] (duration: 00m 57s)

Majavah closed this task as Resolved.Apr 27 2020, 11:47 AM

Deployed on EU swat today. Feel free to re-open if it's not working as expected.